﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace gatewayGK.POSBC
{
    /// <summary>
    /// Esta clase almacena valores requeridos
    /// para la operación del SCO con la operación de la POSBC,
    /// valores que deben ser compartidos entre comandos.
    /// </summary>
    public class EntornoPOSBC
    {
        public byte[] BufferEntrada { get; set; } = new byte[0];
        /// <summary>
        /// Propiedad que toma el buffer de entrada de CHEC para enviarselo al POSBC
        /// </summary>
        public int CantBytes { get; set; } = 0;
        /// <summary>
        /// Propiedad que toma la cantidad de bytes que vienen de CHEC
        /// </summary>
        public string TipoEntorno  { get; set; } = "posbc";
        /// <summary>
        /// tipo de entorno que nos encontramos
        /// </summary>
    }
}
