﻿using EvaPOS_API_FRAME.DTO;
using EvaPosSrvDTO;
using EvaPosSrvResp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace gatewayGK.POSBC
{
    /// <summary>
    /// Procesa solicitudes de QueryStatusRequest.
    /// </summary>
    public class QueryStatusRequestPosbcCmd : IComando
    {
        public string Referencia { get; set; } = "scsns:QueryStatus";
        /// <summary>
        /// DTO con solicitud.
        /// </summary>
        public QueryStatusRequestDTO Request { get; private set; }

        /// <summary>
        /// Procesa y responde QueryStatusRequest.
        /// </summary>
        /// 
        public Respuestas Ejecutar()
        { 
            return new Respuestas();
        }

        public IComando CreaCopia()
        {
            return (QueryStatusRequestPosbcCmd)this.MemberwiseClone();
        }

        public void CargaDTO(DTOBase queryStatusRequestDTO)
        {
            Request = (QueryStatusRequestDTO)queryStatusRequestDTO;
        }
    }
}
