﻿using EvaPOS_API_FRAME.DTO;
using EvaPosSrvDTO;
using EvaPosSrvResp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace gatewayGK.POSBC
{
    ///<summary>
    /// Procesa solicitudes de ReportStatusEventsRequest.
    /// </summary>
    public class ReportStatusEventsRequestPosbcCmd : IComando
    {
        public string Referencia { get; set; } = "scsns:ReportStatusEvents";
        /// <summary>
        /// DTO con solicitud.
        /// </summary>
        public ReportStatusEventsRequestDTO Request { get; private set; }

        /// <summary>
        /// Procesa y responde ReportStatusEventsRequest.
        /// </summary>
        /// 
        public Respuestas Ejecutar()
        { 
          return new Respuestas();
        }

        public IComando CreaCopia()
        { 
          return (ReportStatusEventsRequestPosbcCmd)this.MemberwiseClone();
        }
        public void CargaDTO(DTOBase reportStatusEventsRequestDTO)
        {
            Request = (ReportStatusEventsRequestDTO)reportStatusEventsRequestDTO;
        }
    }
}
